mia-3dmany2one-nonrigid
Prev | Registration of series of 3D images | Next

### mia-3dmany2one-nonrigid

#### Sysnopis:

`mia-3dmany2one-nonrigid` {-i `io`} [ `options` ...] [ `Plugin type: 3dimage/fullcost` ...]

#### Description:

This program runs the non-rigid registration of an image series by registereing all images to a user-selected reference.

#### Options:

#### File-IO

-i, --in-file=(input, required); io

  input perfusion data set. For supported file types see Plugin type: 3dimage/io

-o, --out-file=(output); io

  file name for registered files. For supported file types see Plugin type: 3dimage/io

#### Registration

-O, --optimizer=gsl:opt=gd,step=0.1; stringSTRING

  Optimizer used for minimization

-l, --mg-levels=3; ulong

  multi-resolution levels

-f, --transForm=spline; factory

  transformation type. For supported plug-ins see Plugin type: 3dimage/transform

-r, --ref=-1; int

  reference frame (-1 == use image in the middle)

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Register the images given as numbered files imagesXXXX.v by optimizing a spline based transformation with a coefficient rate of 16 pixel using a weighted combination of normalized gradient fields and SSD as cost measure, and penalize the transformation by using divcurl with aweight of 2.0. Store the resultsing images in registeredXXXX.v.

    mia-3dmany2one-nonrigid -i images0000.v -o  registered%04d.v -F spline:rate=16 image:cost=[ngf:eval=ds],weight=2.0 image:cost=ssd,weight=0.1 divcurl:weight=2.0

#### Author(s):

Gert Wollny

Prev | Up | Next
Registration of series of 3D images | Home | mia-3dmotioncompica-nonrigid